import GC from '@grapecity/spread-sheets';
import type { PropType } from "vue";
declare const _sfc_main: import("vue").DefineComponent<{
    hostStyle: {
        type: ObjectConstructor;
    };
    hostClass: {
        type: StringConstructor;
    };
    name: {
        type: StringConstructor;
    };
    allowUserZoom: {
        type: BooleanConstructor;
    };
    allowUserResize: {
        type: BooleanConstructor;
    };
    allowUserDragMerge: {
        type: BooleanConstructor;
    };
    allowUndo: {
        type: BooleanConstructor;
    };
    allowSheetReorder: {
        type: BooleanConstructor;
    };
    allowContextMenu: {
        type: BooleanConstructor;
    };
    allowUserDeselect: {
        type: BooleanConstructor;
    };
    allowCopyPasteExcelStyle: {
        type: BooleanConstructor;
    };
    allowExtendPasteRange: {
        type: BooleanConstructor;
    };
    tabStripVisible: {
        type: BooleanConstructor;
    };
    tabEditable: {
        type: BooleanConstructor;
    };
    tabStripRatio: {
        type: NumberConstructor;
    };
    tabNavigationVisible: {
        type: BooleanConstructor;
    };
    newTabVisible: {
        type: BooleanConstructor;
    };
    allowUserEditFormula: {
        type: BooleanConstructor;
    };
    autoFitType: {
        type: PropType<GC.Spread.Sheets.AutoFitType>;
    };
    allowUserDragFill: {
        type: BooleanConstructor;
    };
    allowUserDragDrop: {
        type: BooleanConstructor;
    };
    highlightInvalidData: {
        type: BooleanConstructor;
    };
    referenceStyle: {
        type: PropType<GC.Spread.Sheets.ReferenceStyle>;
    };
    backColor: {
        type: StringConstructor;
    };
    grayAreaBackColor: {
        type: StringConstructor;
    };
    backgroundImage: {
        type: StringConstructor;
    };
    backgroundImageLayout: {
        type: PropType<GC.Spread.Sheets.ImageLayout>;
    };
    cutCopyIndicatorVisible: {
        type: BooleanConstructor;
    };
    cutCopyIndicatorBorderColor: {
        type: StringConstructor;
    };
    copyPasteHeaderOptions: {
        type: PropType<GC.Spread.Sheets.CopyPasteHeaderOptions>;
    };
    defaultDragFillType: {
        type: PropType<GC.Spread.Sheets.Fill.AutoFillType>;
    };
    enableFormulaTextbox: {
        type: BooleanConstructor;
    };
    hideSelection: {
        type: BooleanConstructor;
    };
    resizeZeroIndicator: {
        type: PropType<GC.Spread.Sheets.ResizeZeroIndicator>;
    };
    showDragFillSmartTag: {
        type: BooleanConstructor;
    };
    scrollbarShowMax: {
        type: BooleanConstructor;
    };
    scrollbarMaxAlign: {
        type: BooleanConstructor;
    };
    scrollIgnoreHidden: {
        type: BooleanConstructor;
    };
    showVerticalScrollbar: {
        type: BooleanConstructor;
    };
    showHorizontalScrollbar: {
        type: BooleanConstructor;
    };
    showScrollTip: {
        type: PropType<GC.Spread.Sheets.ShowScrollTip>;
    };
    showResizeTip: {
        type: PropType<GC.Spread.Sheets.ShowResizeTip>;
    };
    showDragDropTip: {
        type: BooleanConstructor;
    };
    showDragFillTip: {
        type: BooleanConstructor;
    };
    useTouchLayout: {
        type: BooleanConstructor;
    };
}, {
    props: import("@vue/shared").LooseRequired<{
        readonly allowUserDragDrop: boolean;
        readonly allowUserDragFill: boolean;
        readonly allowUserZoom: boolean;
        readonly allowUserResize: boolean;
        readonly allowUndo: boolean;
        readonly allowSheetReorder: boolean;
        readonly allowContextMenu: boolean;
        readonly allowUserDeselect: boolean;
        readonly showDragFillSmartTag: boolean;
        readonly showHorizontalScrollbar: boolean;
        readonly showVerticalScrollbar: boolean;
        readonly scrollbarShowMax: boolean;
        readonly scrollbarMaxAlign: boolean;
        readonly tabStripVisible: boolean;
        readonly tabEditable: boolean;
        readonly newTabVisible: boolean;
        readonly cutCopyIndicatorVisible: boolean;
        readonly tabNavigationVisible: boolean;
        readonly showDragDropTip: boolean;
        readonly showDragFillTip: boolean;
        readonly scrollIgnoreHidden: boolean;
        readonly highlightInvalidData: boolean;
        readonly useTouchLayout: boolean;
        readonly hideSelection: boolean;
        readonly allowUserEditFormula: boolean;
        readonly enableFormulaTextbox: boolean;
        readonly allowCopyPasteExcelStyle: boolean;
        readonly allowExtendPasteRange: boolean;
        readonly allowUserDragMerge: boolean;
        readonly defaultDragFillType?: GC.Spread.Sheets.Fill.AutoFillType | undefined;
        readonly tabStripRatio?: number | undefined;
        readonly cutCopyIndicatorBorderColor?: string | undefined;
        readonly backColor?: string | undefined;
        readonly backgroundImage?: string | undefined;
        readonly backgroundImageLayout?: GC.Spread.Sheets.ImageLayout | undefined;
        readonly showResizeTip?: GC.Spread.Sheets.ShowResizeTip | undefined;
        readonly showScrollTip?: GC.Spread.Sheets.ShowScrollTip | undefined;
        readonly grayAreaBackColor?: string | undefined;
        readonly resizeZeroIndicator?: GC.Spread.Sheets.ResizeZeroIndicator | undefined;
        readonly referenceStyle?: GC.Spread.Sheets.ReferenceStyle | undefined;
        readonly autoFitType?: GC.Spread.Sheets.AutoFitType | undefined;
        readonly copyPasteHeaderOptions?: GC.Spread.Sheets.CopyPasteHeaderOptions | undefined;
        readonly name?: string | undefined;
        readonly hostStyle?: Record<string, any> | undefined;
        readonly hostClass?: string | undefined;
    } & {}>;
    getSheetTagCount: () => number;
    bindSpreadEvent: (spread: GC.Spread.Sheets.Workbook) => void;
    setSpreadOptions: (attr: string, value: any) => void;
    initSpread: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    hostStyle: {
        type: ObjectConstructor;
    };
    hostClass: {
        type: StringConstructor;
    };
    name: {
        type: StringConstructor;
    };
    allowUserZoom: {
        type: BooleanConstructor;
    };
    allowUserResize: {
        type: BooleanConstructor;
    };
    allowUserDragMerge: {
        type: BooleanConstructor;
    };
    allowUndo: {
        type: BooleanConstructor;
    };
    allowSheetReorder: {
        type: BooleanConstructor;
    };
    allowContextMenu: {
        type: BooleanConstructor;
    };
    allowUserDeselect: {
        type: BooleanConstructor;
    };
    allowCopyPasteExcelStyle: {
        type: BooleanConstructor;
    };
    allowExtendPasteRange: {
        type: BooleanConstructor;
    };
    tabStripVisible: {
        type: BooleanConstructor;
    };
    tabEditable: {
        type: BooleanConstructor;
    };
    tabStripRatio: {
        type: NumberConstructor;
    };
    tabNavigationVisible: {
        type: BooleanConstructor;
    };
    newTabVisible: {
        type: BooleanConstructor;
    };
    allowUserEditFormula: {
        type: BooleanConstructor;
    };
    autoFitType: {
        type: PropType<GC.Spread.Sheets.AutoFitType>;
    };
    allowUserDragFill: {
        type: BooleanConstructor;
    };
    allowUserDragDrop: {
        type: BooleanConstructor;
    };
    highlightInvalidData: {
        type: BooleanConstructor;
    };
    referenceStyle: {
        type: PropType<GC.Spread.Sheets.ReferenceStyle>;
    };
    backColor: {
        type: StringConstructor;
    };
    grayAreaBackColor: {
        type: StringConstructor;
    };
    backgroundImage: {
        type: StringConstructor;
    };
    backgroundImageLayout: {
        type: PropType<GC.Spread.Sheets.ImageLayout>;
    };
    cutCopyIndicatorVisible: {
        type: BooleanConstructor;
    };
    cutCopyIndicatorBorderColor: {
        type: StringConstructor;
    };
    copyPasteHeaderOptions: {
        type: PropType<GC.Spread.Sheets.CopyPasteHeaderOptions>;
    };
    defaultDragFillType: {
        type: PropType<GC.Spread.Sheets.Fill.AutoFillType>;
    };
    enableFormulaTextbox: {
        type: BooleanConstructor;
    };
    hideSelection: {
        type: BooleanConstructor;
    };
    resizeZeroIndicator: {
        type: PropType<GC.Spread.Sheets.ResizeZeroIndicator>;
    };
    showDragFillSmartTag: {
        type: BooleanConstructor;
    };
    scrollbarShowMax: {
        type: BooleanConstructor;
    };
    scrollbarMaxAlign: {
        type: BooleanConstructor;
    };
    scrollIgnoreHidden: {
        type: BooleanConstructor;
    };
    showVerticalScrollbar: {
        type: BooleanConstructor;
    };
    showHorizontalScrollbar: {
        type: BooleanConstructor;
    };
    showScrollTip: {
        type: PropType<GC.Spread.Sheets.ShowScrollTip>;
    };
    showResizeTip: {
        type: PropType<GC.Spread.Sheets.ShowResizeTip>;
    };
    showDragDropTip: {
        type: BooleanConstructor;
    };
    showDragFillTip: {
        type: BooleanConstructor;
    };
    useTouchLayout: {
        type: BooleanConstructor;
    };
}>>, {
    allowUserDragDrop: boolean;
    allowUserDragFill: boolean;
    allowUserZoom: boolean;
    allowUserResize: boolean;
    allowUndo: boolean;
    allowSheetReorder: boolean;
    allowContextMenu: boolean;
    allowUserDeselect: boolean;
    showDragFillSmartTag: boolean;
    showHorizontalScrollbar: boolean;
    showVerticalScrollbar: boolean;
    scrollbarShowMax: boolean;
    scrollbarMaxAlign: boolean;
    tabStripVisible: boolean;
    tabEditable: boolean;
    newTabVisible: boolean;
    cutCopyIndicatorVisible: boolean;
    tabNavigationVisible: boolean;
    showDragDropTip: boolean;
    showDragFillTip: boolean;
    scrollIgnoreHidden: boolean;
    highlightInvalidData: boolean;
    useTouchLayout: boolean;
    hideSelection: boolean;
    allowUserEditFormula: boolean;
    enableFormulaTextbox: boolean;
    allowCopyPasteExcelStyle: boolean;
    allowExtendPasteRange: boolean;
    allowUserDragMerge: boolean;
}, {}>;
export default _sfc_main;
