import GC from '@grapecity/spread-sheets';
import type { PropType } from "vue";
declare const _sfc_main: import("vue").DefineComponent<{
    frozenColumnCount: {
        type: NumberConstructor;
    };
    frozenRowCount: {
        type: NumberConstructor;
    };
    frozenTrailingColumnCount: {
        type: NumberConstructor;
    };
    frozenTrailingRowCount: {
        type: NumberConstructor;
    };
    zoom: {
        type: NumberConstructor;
    };
    selectionPolicy: {
        type: PropType<GC.Spread.Sheets.SelectionPolicy>;
    };
    selectionUnit: {
        type: PropType<GC.Spread.Sheets.SelectionUnit>;
    };
    name: {
        type: StringConstructor;
    };
    currentTheme: {
        type: StringConstructor;
    };
    showRowOutline: {
        type: BooleanConstructor;
    };
    showColumnOutline: {
        type: BooleanConstructor;
    };
    autoGenerateColumns: {
        type: BooleanConstructor;
    };
    allowCellOverflow: {
        type: BooleanConstructor;
    };
    frozenlineColor: {
        type: StringConstructor;
    };
    sheetTabColor: {
        type: StringConstructor;
    };
    clipBoardOptions: {
        type: PropType<GC.Spread.Sheets.ClipboardPasteOptions>;
    };
    rowHeaderAutoText: {
        type: PropType<GC.Spread.Sheets.HeaderAutoText>;
    };
    rowHeaderVisible: {
        type: BooleanConstructor;
    };
    isProtected: {
        type: BooleanConstructor;
    };
    selectionBackColor: {
        type: StringConstructor;
    };
    selectionBorderColor: {
        type: StringConstructor;
    };
    rowHeaderAutoTextIndex: {
        type: PropType<GC.Spread.Sheets.HeaderAutoText>;
    };
    dataSource: {
        type: ObjectConstructor;
    };
    rowCount: {
        type: NumberConstructor;
    };
    colCount: {
        type: NumberConstructor;
    };
    defaultStyle: {
        type: ObjectConstructor;
    };
    columnHeaderVisible: {
        type: BooleanConstructor;
    };
    columnHeaderAutoText: {
        type: PropType<GC.Spread.Sheets.HeaderAutoText>;
    };
    columnHeaderAutoTextIndex: {
        type: PropType<GC.Spread.Sheets.HeaderAutoText>;
    };
    rowOutlineInfo: {
        type: ObjectConstructor;
    };
    columnOutlineInfo: {
        type: ObjectConstructor;
    };
}, {
    props: import("@vue/shared").LooseRequired<{
        readonly showRowOutline: boolean;
        readonly showColumnOutline: boolean;
        readonly autoGenerateColumns: boolean;
        readonly allowCellOverflow: boolean;
        readonly rowHeaderVisible: boolean;
        readonly isProtected: boolean;
        readonly columnHeaderVisible: boolean;
        readonly frozenColumnCount?: number | undefined;
        readonly frozenRowCount?: number | undefined;
        readonly frozenTrailingColumnCount?: number | undefined;
        readonly frozenTrailingRowCount?: number | undefined;
        readonly zoom?: number | undefined;
        readonly selectionPolicy?: GC.Spread.Sheets.SelectionPolicy | undefined;
        readonly selectionUnit?: GC.Spread.Sheets.SelectionUnit | undefined;
        readonly name?: string | undefined;
        readonly currentTheme?: string | undefined;
        readonly frozenlineColor?: string | undefined;
        readonly sheetTabColor?: string | undefined;
        readonly clipBoardOptions?: GC.Spread.Sheets.ClipboardPasteOptions | undefined;
        readonly rowHeaderAutoText?: GC.Spread.Sheets.HeaderAutoText | undefined;
        readonly selectionBackColor?: string | undefined;
        readonly selectionBorderColor?: string | undefined;
        readonly rowHeaderAutoTextIndex?: GC.Spread.Sheets.HeaderAutoText | undefined;
        readonly dataSource?: Record<string, any> | undefined;
        readonly rowCount?: number | undefined;
        readonly colCount?: number | undefined;
        readonly defaultStyle?: Record<string, any> | undefined;
        readonly columnHeaderAutoText?: GC.Spread.Sheets.HeaderAutoText | undefined;
        readonly columnHeaderAutoTextIndex?: GC.Spread.Sheets.HeaderAutoText | undefined;
        readonly rowOutlineInfo?: Record<string, any> | undefined;
        readonly columnOutlineInfo?: Record<string, any> | undefined;
    } & {}>;
    getColCount: () => number;
    initSheet: () => void;
    getSheetIndex: () => number;
    initSheetOptions: () => void;
    setSheetOptionsAfterSheetInit: () => void;
    setSheetOptions: (attr: any, value: any) => void;
    reSizeSheet: () => void;
    dataSourceChangeHandle: (attr: string, value: any) => void;
    rowCountChangeHandle: () => void;
    getSlotsCount: () => number;
    getChildrenCount: () => number;
    updateChildren: () => void;
    colCountChangeHandle: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    frozenColumnCount: {
        type: NumberConstructor;
    };
    frozenRowCount: {
        type: NumberConstructor;
    };
    frozenTrailingColumnCount: {
        type: NumberConstructor;
    };
    frozenTrailingRowCount: {
        type: NumberConstructor;
    };
    zoom: {
        type: NumberConstructor;
    };
    selectionPolicy: {
        type: PropType<GC.Spread.Sheets.SelectionPolicy>;
    };
    selectionUnit: {
        type: PropType<GC.Spread.Sheets.SelectionUnit>;
    };
    name: {
        type: StringConstructor;
    };
    currentTheme: {
        type: StringConstructor;
    };
    showRowOutline: {
        type: BooleanConstructor;
    };
    showColumnOutline: {
        type: BooleanConstructor;
    };
    autoGenerateColumns: {
        type: BooleanConstructor;
    };
    allowCellOverflow: {
        type: BooleanConstructor;
    };
    frozenlineColor: {
        type: StringConstructor;
    };
    sheetTabColor: {
        type: StringConstructor;
    };
    clipBoardOptions: {
        type: PropType<GC.Spread.Sheets.ClipboardPasteOptions>;
    };
    rowHeaderAutoText: {
        type: PropType<GC.Spread.Sheets.HeaderAutoText>;
    };
    rowHeaderVisible: {
        type: BooleanConstructor;
    };
    isProtected: {
        type: BooleanConstructor;
    };
    selectionBackColor: {
        type: StringConstructor;
    };
    selectionBorderColor: {
        type: StringConstructor;
    };
    rowHeaderAutoTextIndex: {
        type: PropType<GC.Spread.Sheets.HeaderAutoText>;
    };
    dataSource: {
        type: ObjectConstructor;
    };
    rowCount: {
        type: NumberConstructor;
    };
    colCount: {
        type: NumberConstructor;
    };
    defaultStyle: {
        type: ObjectConstructor;
    };
    columnHeaderVisible: {
        type: BooleanConstructor;
    };
    columnHeaderAutoText: {
        type: PropType<GC.Spread.Sheets.HeaderAutoText>;
    };
    columnHeaderAutoTextIndex: {
        type: PropType<GC.Spread.Sheets.HeaderAutoText>;
    };
    rowOutlineInfo: {
        type: ObjectConstructor;
    };
    columnOutlineInfo: {
        type: ObjectConstructor;
    };
}>>, {
    showRowOutline: boolean;
    showColumnOutline: boolean;
    autoGenerateColumns: boolean;
    allowCellOverflow: boolean;
    rowHeaderVisible: boolean;
    isProtected: boolean;
    columnHeaderVisible: boolean;
}, {}>;
export default _sfc_main;
