declare const _sfc_main: import("vue").DefineComponent<{
    dataField: {
        type: StringConstructor;
    };
    headerText: {
        type: StringConstructor;
    };
    width: {
        type: NumberConstructor;
    };
    visible: {
        type: BooleanConstructor;
    };
    resizable: {
        type: BooleanConstructor;
    };
    autoFit: {
        type: BooleanConstructor;
    };
    columnStyle: {
        type: ObjectConstructor;
    };
    headerStyle: {
        type: ObjectConstructor;
    };
    cellType: {
        type: ObjectConstructor;
    };
    formatter: {
        type: StringConstructor;
    };
}, {
    props: import("@vue/shared").LooseRequired<{
        readonly visible: boolean;
        readonly resizable: boolean;
        readonly autoFit: boolean;
        readonly dataField?: string | undefined;
        readonly headerText?: string | undefined;
        readonly width?: number | undefined;
        readonly columnStyle?: Record<string, any> | undefined;
        readonly headerStyle?: Record<string, any> | undefined;
        readonly cellType?: Record<string, any> | undefined;
        readonly formatter?: string | undefined;
    } & {}>;
    updateTagVisible: () => void;
    getColumnIndex: () => number;
    setColumnOptions: (attr: string, value: any) => void;
    initColumn: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    dataField: {
        type: StringConstructor;
    };
    headerText: {
        type: StringConstructor;
    };
    width: {
        type: NumberConstructor;
    };
    visible: {
        type: BooleanConstructor;
    };
    resizable: {
        type: BooleanConstructor;
    };
    autoFit: {
        type: BooleanConstructor;
    };
    columnStyle: {
        type: ObjectConstructor;
    };
    headerStyle: {
        type: ObjectConstructor;
    };
    cellType: {
        type: ObjectConstructor;
    };
    formatter: {
        type: StringConstructor;
    };
}>>, {
    visible: boolean;
    resizable: boolean;
    autoFit: boolean;
}, {}>;
export default _sfc_main;
